注册 登录
明经CAD社区 返回首页

13648893846的个人空间 http://www.mjtd.com/?7322544 [收藏] [复制] [分享] [RSS]

日志

点到曲线的垂直距离及曲线起点至指定点到曲线垂点的距离(曲线长)

已有 289 次阅读2018-8-16 19:52 |系统分类:应用

;;[功能]曲线起点至指定点到曲线垂点的距离(曲线长)
;;[用法](LC:starting-point>pt-curveFoot>dist (car(entsel "\n 请选择曲线:")) (getpoint "\n 请选择线外一点:"))
;;[作者]BY 老仓测绘上班记
(defun LC:starting-point>pt-curveFoot>dist (EN PT / POINTCURVEDIST)
   (setq pointcurvedist (vlax-curve-getDistAtPoint
             (vlax-ename->vla-object en)
               (vlax-curve-getClosestPointTo (vlax-ename->vla-object en) pt));垂点
   )
)

;;[功能]点到曲线的垂直距离
;;[用法](LC:point>curveFoot-dist (car(entsel "\n 请选择曲线:")) (getpoint "\n 请选择线外一点:"))
;;[作者]BY 老仓测绘上班记
(defun LC:point>curveFoot-dist (EN PT / CURVEFOOT CURVEDIST)
   (setq curveFoot (vlax-curve-getClosestPointTo (vlax-ename->vla-object en) pt);垂点
  curvedist (distance curveFoot pt)
   )
)


路过

雷人

握手

鲜花

鸡蛋

评论 (0 个评论)

facelist doodle 涂鸦板

您需要登录后才可以评论 登录 | 注册

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-10-16 22:11 , Processed in 0.108884 second(s), 18 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部